=== debian/changelog ===
ros-crystal-nav2-map-server (0.1.7-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brian Wilcox <brian.wilcox@intel.com>  Wed, 13 Mar 2019 18:12:36 -0000
