=== debian/control ===
Source: ros-crystal-nav2-map-server
Section: misc
Priority: extra
Maintainer: Brian Wilcox <brian.wilcox@intel.com>
Build-Depends: debhelper (>= 9.0.0), libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-pytest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-launch, ros-crystal-launch-ros, ros-crystal-launch-testing, ros-crystal-nav-msgs, ros-crystal-nav2-common, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-tf2, ros-crystal-yaml-cpp-vendor, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-nav2-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, ros-crystal-launch-ros, ros-crystal-launch-testing, ros-crystal-nav-msgs, ros-crystal-rclcpp, ros-crystal-std-msgs, ros-crystal-tf2, ros-crystal-yaml-cpp-vendor, ros-crystal-ros-workspace
Description: Refactored map server for ROS2 Navigation
